#include "stdafx.h"
#include "L2Attack.h"
#include "../Layer2Managers.h"

void L2Attack::onUnitAddedToGroup(void*, BWAPI::Unit* unit)
{
  unused(unit);
  // ...
}
void L2Attack::onUnitRemovedFromGroup(void*, BWAPI::Unit* unit)
{
  unused(unit);
  // ...
}

void L2Attack::onStartImplementation()
{
  L2GroupTacticalAction::onStartImplementation();
  // ...
}

void L2Attack::onCancelImplementation()
{
  L2GroupTacticalAction::onCancelImplementation();
  terminate(Cancelled);
  //...
}

void L2Attack::onEndImplementation()
{
  L2GroupTacticalAction::onEndImplementation();
  //...
}